﻿/*--bs-primary: #ff6600;*/ /* nouvelle couleur primary */
/*--bs-primary: #ff6600;*/ /* nouvelle couleur primary */
/*--bs-secondary: #0066ff;*/ /* nouvelle couleur secondary */
@font-face {
    font-family: "GT-Walsheim-Pro";
    src: url("../font/GTWalsheim/GTWalsheimProRegular.woff2") format("woff2"), url("../font/GTWalsheim/GTWalsheimProRegular.woff2") format("woff");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}
/*@font-face { font-family: "GT-Walsheim-Pro"; src: url("/_src/font/GTWalsheim/GTWalsheimProBold.woff2") format("woff2"), url("/_src/font/GTWalsheim/GTWalsheimProBold.woff2") format("woff"); font-weight: 700; font-style: normal; font-display: swap; }*/

:root {
    --text-color: 41, 33, 30;
    --bs-link-color: #29211e;
    --bs-link-color-rgb: 41, 33, 30;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #000000;
    --bs-link-hover-color-rgb: 0,0,0;
    --bs-info-bg-subtle: #e3f2fd;
    --bs-info-border-subtle: #bbdefb;
    --bs-info-text-emphasis: #0d47a1;
    /*NEW*/
    --cv-brown: #5a4a3a;
    --cv-brown-rgb: 90, 74, 58;
    --cv-brown-dark: #3e3228;
    --cv-brown-dark-rgb: 62, 50, 40;
    --cv-brown-light: #8c7560;
    --cv-brown-light-rgb: 140, 117, 96;
    --cv-gray: #e2e3e5;
    --cv-gray-rgb: 226, 227, 229;
    --cv-gray-text: #41464b;
    --cv-gray-text-rgb: 65, 70, 75;
    --cv-cream: #f2ede6;
    --cv-cream-rgb: 242, 237, 230;
    --cv-cream-light: #faf7f3;
    --cv-cream-light-rgb: 250, 247, 243;
    --radius: 0.5rem;
    --shadow: 0 2px 8px rgba(58,42,28,.08);
    
    /*Couleur à valider*/
    --cv-green:       #d4edda;
    --cv-green-rgb:       212, 237, 218;
    --cv-green-text:  #155724;
    --cv-green-text-rgb:  21, 87, 36;
    --cv-red:         #f8d7da;
    --cv-red-rgb:         248, 215, 218;
    --cv-red-text:    #721c24;
    --cv-red-text-rgb:    114, 28, 36;
    --cv-yellow:      #fff3cd;
    --cv-yellow-rgb:      255, 243, 205;
    --cv-yellow-text: #856404;
    --cv-yellow-text-rgb: #133, 100, 4;
    --cv-blue:        #cfe2ff;
    --cv-blue-rgb:        207, 226, 255;
    --cv-blue-text:   #084298;
    --cv-blue-text-rgb:   8, 66, 152;


    .cv-content        { max-width: 960px; }   /* dashboard, tableaux    */
    .cv-content-sm    { max-width: 640px; }   /* formulaires, alertes   */
    .cv-content-lg    { max-width: 1200px; }  /* vues très larges       */

    .btn-primary {
        --bs-btn-bg: rgb(var(--cv-brown-rgb));
        --bs-btn-border-color: rgb(var(--cv-brown-rgb));
        --bs-btn-hover-bg: rgb(98, 83, 70);
        --bs-btn-hover-border-color: rgb(98, 83, 70);
        --bs-btn-active-bg: rgb(80, 68, 58);
        --bs-btn-active-border-color: rgb(80, 68, 58);
        --bs-btn-focus-shadow-rgb: 118, 101, 87;
        /* DISABLED */
        --bs-btn-disabled-bg: rgb(196, 186, 178);
        --bs-btn-disabled-border-color: rgb(196, 186, 178);
        --bs-btn-disabled-color: #fff;
    }


    .btn-outline-primary {
        --bs-btn-color: rgb(var(--cv-brown-rgb));
        --bs-btn-border-color: rgb(var(--cv-brown-rgb));
        --bs-btn-hover-bg: rgb(var(--cv-brown-rgb));
        --bs-btn-hover-border-color: rgb(var(--cv-brown-rgb));
        --bs-btn-hover-color: #fff;
        --bs-btn-active-bg: rgb(98, 83, 70);
        --bs-btn-active-border-color: rgb(98, 83, 70);
        --bs-btn-active-color: #fff;
        --bs-btn-focus-shadow-rgb: 118, 101, 87;
        /* DISABLED */
        --bs-btn-disabled-color: rgb(196, 186, 178);
        --bs-btn-disabled-border-color: rgb(196, 186, 178);
        --bs-btn-disabled-bg: transparent;
    }

    a.aspNetDisabled {
        opacity: 0.30;
        pointer-events: none;
        cursor: default;
        text-decoration: none;
    }

    table tr th {
        background-color: rgb(var(--cv-brown-dark-rgb));
        color: white;
    }

    table tr th a {
        color: white;
    }

  
    .accordion-button:not(.collapsed) {
    color: var(--cv-brown-dark);
    background-color: var(--cv-cream-light);
    box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color);

    /*

    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13, 110, 253;
    --bs-secondary-rgb: 108, 117, 125;
    --bs-success-rgb: 25, 135, 84;
    --bs-info-rgb: 13, 202, 240;
    --bs-warning-rgb: 255, 193, 7;
    --bs-danger-rgb: 220, 53, 69;
    --bs-light-rgb: 248, 249, 250;
    --bs-dark-rgb: 33, 37, 41;
    --bs-primary-text-emphasis: #052c65;
    --bs-secondary-text-emphasis: #2b2f32;
    --bs-success-text-emphasis: #0a3622;
    --bs-info-text-emphasis: #055160;
    --bs-warning-text-emphasis: #664d03;
    --bs-danger-text-emphasis: #58151c;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #cfe2ff;
    --bs-secondary-bg-subtle: #e2e3e5;
    --bs-success-bg-subtle: #d1e7dd;
    --bs-info-bg-subtle: #cff4fc;
    --bs-warning-bg-subtle: #fff3cd;
    --bs-danger-bg-subtle: #f8d7da;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #9ec5fe;
    --bs-secondary-border-subtle: #c4c8cb;
    --bs-success-border-subtle: #a3cfbb;
    --bs-info-border-subtle: #9eeaf9;
    --bs-warning-border-subtle: #ffe69c;
    --bs-danger-border-subtle: #f1aeb5;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-font-sans-serif: system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    --bs-body-color: #212529;
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0, 0, 0;
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33, 37, 41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233, 236, 239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: 33, 37, 41;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;
    --bs-link-color: #0d6efd;
    --bs-link-color-rgb: 13, 110, 253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #0a58ca;
    --bs-link-hover-color-rgb: 10, 88, 202;
    --bs-code-color: #d63384;
    --bs-highlight-color: #212529;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #198754;
    --bs-form-valid-border-color: #198754;
    --bs-form-invalid-color: #dc3545;
    --bs-form-invalid-border-color: #dc3545;
    */
}
